Subject: Re: [Tsvwg] Re: HighSpeed TCP for Large Congestion Windows

From: Sally Floyd <[email-masked]>
Date: Mon, 19 Aug 2002 16:50:59 -0700

Reiner -

>Which people? What applications are they using? What are the traffic 
>characteristics of those applications?
>
>I really think that it would help readers of your draft a lot if they found 
>answers to those questions in the text.

I have added pointers at the bottom of the HighSpeed TCP web page
to the Net100 and Web100 web pages.

The Net100 web page in particular has pointers to a number of
applications that have needs for Large-Congestion-Window TCP.
I will add pointers to other web pages as I come across them -
my understanding is that there are a wide range of applications in
the scientific computing area.

http://www.icir.org/floyd/hstcp.html

- Sally

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg

---

From: Marco Mellia <[email-masked]>
Date: Tue, 20 Aug 2002 14:26:53 +0200

Sally,
Do you think it could be problematic to recover from a cwnd of thousand of 
packets?
What happen in a scenario (unrealistic?) where 1 HighSpeed TCP if filling a 
pipe of 10Gb/s, 100ms RTT, and then a second HS-TCP starts? How many packets 
are going to be lost?
Even if only 1/10 of cwnd packets are going to be lost, about 800 packets will 
be dropped.
Will sack be able to handle that? Probably not... and how many RTT will be 
necessary to successfully terminate a Fast (?) Recovery?
And what will happen if a RTO expires? How many duplicated segments will be 
carried by the network?
Do you believe that this can be an issue?

I think that for this kind of very special (and uncommon) situation, the 
solution Joe suggests is interesting. Indeed, in an environment where 
applications need to transfer Gigabytes of data at Gigabit/s, allowing the 
transport layer to negotiate connection-specific parameters is interesting.

-- 
Ciao,                    /\/\/\rco

+-----------------------------------+  
| Marco Mellia - Assistant Professor|
| Tel: 39-011-5644173               |   /"\  .. . . . . . . . . . . . .
| Politecnico di Torino             |   \ /  . ASCII Ribbon Campaign  .
| Corso Duca degli Abruzzi 24       |    X   .- NO HTML/RTF in e-mail .
| Torino - 10129 - Italy            |   / \  .- NO Word docs in e-mail.
| http://www1.tlc.polito.it/mellia  |        .. . . . . . . . . . . . .
+-----------------------------------+
The box said "Requires Windows 95 or Better." So I installed Linux.